<?php

namespace App\Classes\Objects;


class AddressObject
{

    /** @var int */
    protected $companyId;

    /** @var string|null */
    protected $streetOne;

    /** @var string|null */
    protected $streetTwo;

    /** @var string|null */
    protected $city;

    /** @var string|null */
    protected $state;

    /** @var string|null */
    protected $postCode;

    /** @var string|null */
    protected $country;

    /** @var int|null */
    protected $id;

    /** @var string|null */
    protected $reference;

    /** @var string|null */
    protected $contact;

    /**
     * AddressObject constructor.
     * @param int $companyId
     * @param null|string $streetOne
     * @param null|string $streetTwo
     * @param null|string $city
     * @param null|string $state
     * @param null|string $postCode
     * @param null|string $country
     * @param int|null $id
     * @param null|string $reference
     * @param null|string $contact
     */
    public function __construct(int $companyId, ?string $streetOne, ?string $streetTwo, ?string $city, ?string $state, ?string $postCode, ?string $country, ?int $id = null, ?string $reference = null, ?string $contact = null)
    {
        $this->companyId = $companyId;
        $this->streetOne = $streetOne;
        $this->streetTwo = $streetTwo;
        $this->city = $city;
        $this->state = $state;
        $this->postCode = $postCode;
        $this->country = $country;
        $this->id = $id;
        $this->reference = $reference;
        $this->contact = $contact;
    }

    /**
     * @return int
     */
    public function getCompanyId(): int
    {
        return $this->companyId;
    }

    /**
     * @return null|string
     */
    public function getStreetOne(): ?string
    {
        return $this->streetOne;
    }

    /**
     * @return null|string
     */
    public function getStreetTwo(): ?string
    {
        return $this->streetTwo;
    }

    /**
     * @return null|string
     */
    public function getCity(): ?string
    {
        return $this->city;
    }

    /**
     * @return null|string
     */
    public function getState(): ?string
    {
        return $this->state;
    }

    /**
     * @return null|string
     */
    public function getPostCode(): ?string
    {
        return $this->postCode;
    }

    /**
     * @return null|string
     */
    public function getCountry(): ?string
    {
        return $this->country;
    }

    /**
     * @return int|null
     */
    public function getId(): ?int
    {
        return $this->id;
    }

    /**
     * @return null|string
     */
    public function getReference(): ?string
    {
        return $this->reference;
    }

    /**
     * @return null|string
     */
    public function getContact(): ?string
    {
        return $this->contact;
    }


}